Subject: bug#70438: Emacs error 6 abort when starting rust-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Apr 2024 09:16:30 +0300

> From: Yuan Fu <[email-masked]>
> Date: Fri, 26 Apr 2024 20:06:26 -0700
> Cc: Stefan Heitmann <[email-masked]>,
>  [email-masked]
> 
> > Emacs can indeed be statically linked with tree-sitter.  But since we,
> > the Emacs project, don't distribute binaries, the decision how to link
> > Emacs with various libraries is made by the distros.  And they always
> > prefer shared libraries, because that allows to upgrade the libraries
> > without installing new binaries of dependent programs.
> 
> I wonder if we can make Emacs prefer static libtree-sitter in the makefile? Or it’s better done on the distro side?

The latter, I think.  Moreover, even if we do prefer static linking in
our configuration, distros can (and I think will) override it.